# AMDInterleavedElements (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class AMDInterleavedElements

    java.lang.Object
      org.lwjgl.opengl.AMDInterleavedElements

    public final class AMDInterleavedElements

extends java.lang.Object

Field Summary
`static int` `GL_VERTEX_ELEMENT_SWIZZLE_AMD` Accepted by the <pname> parameter of VertexAttribParameteriAMD and GetVertexAttrib{iv|dv|fv|Iiv|Iuiv|Ldv}:
`static int` `GL_VERTEX_ID_SWIZZLE_AMD` Selected by the <pname> parameter of ProgramParameteri and GetProgramiv:

Method Summary
`static void` `glVertexAttribParameteriAMD(int index, int pname, int param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_ELEMENT_SWIZZLE_AMD

    public static final int GL_VERTEX_ELEMENT_SWIZZLE_AMD

  Accepted by the <pname> parameter of VertexAttribParameteriAMD and GetVertexAttrib{iv|dv|fv|Iiv|Iuiv|Ldv}:

  See Also:
    Constant Field Values

### GL_VERTEX_ID_SWIZZLE_AMD

    public static final int GL_VERTEX_ID_SWIZZLE_AMD

  Selected by the <pname> parameter of ProgramParameteri and GetProgramiv:

  See Also:
    Constant Field Values

Method Detail

### glVertexAttribParameteriAMD

    public static void glVertexAttribParameteriAMD(int index,
                                                   int pname,
                                                   int param)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.